package com.censoft.censoftrongtong.mapper;

import com.censoft.censoftrongtong.domain.LedgerProject;
import com.censoft.censoftrongtong.domain.dto.statistics.MapLedgerProjectDto;
import com.github.yulichang.base.MPJBaseMapper;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 基础数据-项目Mapper接口
 * 
 * @author ruoyi
 * @date 2023-06-26
 */
public interface LedgerProjectMapper  extends  MPJBaseMapper<LedgerProject>
{
    /**
     * 查询基础数据-项目
     * 
     * @param id 基础数据-项目主键
     * @return 基础数据-项目
     */
    public LedgerProject selectLedgerProjectById(Long id);

    /**
     * 查询基础数据-项目列表
     * 
     * @param ledgerProject 基础数据-项目
     * @return 基础数据-项目集合
     */
    public List<LedgerProject> selectLedgerProjectList(LedgerProject ledgerProject);
    public List<LedgerProject> getLedgerProjectList(@Param("name")String name,@Param("level") Integer level,@Param("areaName") String areaName);

    public List<MapLedgerProjectDto> getProjectListAndCount( @Param("level") Integer level, @Param("areaName") String areaName);

    public Long getProjectCount(@Param("level") Integer level,@Param("areaName") String areaName);
    public Long getBuildingCount(@Param("level") Integer level,@Param("areaName") String areaName,@Param("projectId") Long projectId);
    public Long getFloorCount(@Param("level") Integer level,@Param("areaName") String areaName,@Param("projectId") Long projectId);


    /**
     * 新增基础数据-项目
     * 
     * @param ledgerProject 基础数据-项目
     * @return 结果
     */
    public int insertLedgerProject(LedgerProject ledgerProject);

    /**
     * 修改基础数据-项目
     * 
     * @param ledgerProject 基础数据-项目
     * @return 结果
     */
    public int updateLedgerProject(LedgerProject ledgerProject);

    /**
     * 删除基础数据-项目
     * 
     * @param id 基础数据-项目主键
     * @return 结果
     */
    public int deleteLedgerProjectById(Long id);

    /**
     * 批量删除基础数据-项目
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLedgerProjectByIds(Long[] ids);

    List<LedgerProject> getProjectListByDeptId(LedgerProject ledgerProject);
}
