package com.censoft.censoftrongtong.mapper;

import java.util.List;

import com.censoft.censoftrongtong.domain.RiskNumIndex;
import com.github.yulichang.base.MPJBaseMapper;

/**
 * 风险数量系数Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-30
 */
public interface RiskNumIndexMapper  extends MPJBaseMapper<RiskNumIndex>
{
    /**
     * 查询风险数量系数
     * 
     * @param id 风险数量系数主键
     * @return 风险数量系数
     */
    public RiskNumIndex selectRiskNumIndexById(Long id);

    /**
     * 查询风险数量系数列表
     * 
     * @param riskNumIndex 风险数量系数
     * @return 风险数量系数集合
     */
    public List<RiskNumIndex> selectRiskNumIndexList(RiskNumIndex riskNumIndex);

    /**
     * 新增风险数量系数
     * 
     * @param riskNumIndex 风险数量系数
     * @return 结果
     */
    public int insertRiskNumIndex(RiskNumIndex riskNumIndex);

    /**
     * 修改风险数量系数
     * 
     * @param riskNumIndex 风险数量系数
     * @return 结果
     */
    public int updateRiskNumIndex(RiskNumIndex riskNumIndex);

    /**
     * 删除风险数量系数
     * 
     * @param id 风险数量系数主键
     * @return 结果
     */
    public int deleteRiskNumIndexById(Long id);

    /**
     * 批量删除风险数量系数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRiskNumIndexByIds(Long[] ids);
}
